## onscripter 20230825

=== debian/changelog ===
onscripter (20230825-1) unstable; urgency=low

  * New upstream release.
    - debian/control: change homepage to github. The original one is dead.
  * Build with lua5.4 (Closes: #1050630)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 07 Sep 2025 13:37:19 +0100

=== debian/control ===
Source: onscripter
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper-compat (= 12), docbook-to-man, docbook-xsl,
	       dpkg-dev (>= 1.19.0),
               libsdl1.2-dev, libavifile-0.7-dev,
               libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev,
               libbz2-dev, libjpeg-dev, liblua5.4-dev, libfontconfig-dev,
               libvorbis-dev [!arm64 !armel !armhf !mips !mipsel],
	       libvorbisidec-dev [arm64 armel armhf mips mipsel],
	       libsmpeg-dev [!arm64 !armel !armhf !mips !mipsel],
               libmad0-dev [arm64 armel armhf mips mipsel],
	       xsltproc
Standards-Version: 4.5.0
Homepage: https://ogapee.github.io/www/onscripter.html

Package: onscripter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Visual novel games engine compatible to NScripter
 ONScripter is a game engine compatible to NScripter, which is used to create
 and perform visual novel games.
 .
 This package provides both the standard version which is for Japanese and the
 1-byte version which is able to run English text games.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_AVIFILE_FLAG    := $(findstring ok installed,$(shell dpkg-query -W -f='$${Status}' libavifile-0.7-dev))
DEB_VORBIS_FLAG     := $(findstring ok installed,$(shell dpkg-query -W -f='$${Status}' libvorbis-dev))
DEB_TREMOR_FLAG     := $(findstring ok installed,$(shell dpkg-query -W -f='$${Status}' libvorbisidec-dev))
DEB_MP3MAD_FLAG     := $(findstring ok installed,$(shell dpkg-query -W -f='$${Status}' libmad0-dev))
DEB_SMPEG_FLAG      := $(findstring ok installed,$(shell dpkg-query -W -f='$${Status}' libsmpeg-dev))
DEB_FONTCONFIG_FLAG := $(findstring ok installed,$(shell dpkg-query -W -f='$${Status}' libfontconfig1-dev))
DEB_LUA_FLAG        := $(findstring ok installed,$(shell dpkg-query -W -f='$${Status}' liblua5.4-dev))

include /usr/share/dpkg/buildtools.mk

M_CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -Wall
M_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

CONFDEFS := -DLINUX -DUSE_CDROM
CONFINCS := $(M_CFLAGS) `sdl-config --cflags`
CONFLIBS := $(M_CFLAGS) $(M_LDFLAGS) `sdl-config --libs` -lSDL_ttf -lSDL_image -lSDL_mixer -lbz2 -ljpeg -lm
CONFEXT_OBJS :=
CONFTARGET := onscripter sardec nsadec sarconv nsaconv

# Use smpeg when it exists
ifneq (,$(DEB_SMPEG_FLAG))
CONFINCS += `smpeg-config --cflags`
CONFLIBS += `smpeg-config --libs`
CONFDEFS += -DUSE_SMPEG
else
# Use mad if it is installed
ifneq (,$(DEB_MP3MAD_FLAG))
CONFINCS += `$(PKG_CONFIG) --cflags mad`
CONFLIBS += `$(PKG_CONFIG) --libs mad`
CONFDEFS += -DMP3_MAD
endif
endif

# avifile is only available on i386 and amd64
ifneq (,$(DEB_AVIFILE_FLAG))
CONFINCS += `avifile-config --cflags`
CONFLIBS += `avifile-config --libs`
CONFDEFS += -DUSE_AVIFILE
CONFEXT_OBJS += "AVIWrapper.o"
CONFTARGET += "simple_aviplay"
endif

# Use tremor/vorbis if they are installed
ifneq (,$(DEB_TREMOR_FLAG))
CONFLIBS += -lvorbisidec
CONFDEFS += -DUSE_OGG_VORBIS -DINTEGER_OGG_VORBIS
else
ifneq (,$(DEB_VORBIS_FLAG))
CONFINCS += `$(PKG_CONFIG) --cflags vorbisfile`
CONFLIBS += `$(PKG_CONFIG) --libs vorbisfile`
CONFDEFS += -DUSE_OGG_VORBIS
endif
endif

# Use fontconfig if it is installed
ifneq (,$(DEB_FONTCONFIG_FLAG))
CONFINCS += `$(PKG_CONFIG) --cflags fontconfig`
CONFLIBS += `$(PKG_CONFIG) --libs fontconfig`
CONFDEFS += -DUSE_FONTCONFIG
endif

# Use lua if it is installed
ifneq (,$(DEB_LUA_FLAG))
CONFINCS += `$(PKG_CONFIG) --cflags lua5.4`
CONFLIBS += `$(PKG_CONFIG) --libs lua5.4`
CONFDEFS += -DUSE_LUA
CONFEXT_OBJS += LUAHandler.o
endif

%:
	dh  $@

onscripter.6: debian/onscripter.sgml
	docbook-to-man $< > $@

nsaconv.6: debian/nsaconv.sgml
	docbook-to-man $< > $@

nsadec.6: debian/nsadec.sgml
	docbook-to-man $< > $@

sardec.6: debian/sardec.sgml
	docbook-to-man $< > $@

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

sarconv.6: debian/sarconv.xml
	$(XP) $(DB2MAN) $<

override_dh_auto_build: onscripter.6 nsaconv.6 nsadec.6 sardec.6 sarconv.6
	$(MAKE) DEFS="$(CONFDEFS) -DENABLE_1BYTE_CHAR -DFORCE_1BYTE_CHAR" \
		INCS="$(CONFINCS)" LIBS="$(CONFLIBS)" \
		TARGET="$(CONFTARGET)" EXT_OBJS="$(CONFEXT_OBJS)" \
		'CC=$(CXX)' 'LD=$(CXX) -o' \
		-f Makefile.Linux
	if test ! -e onscripter-1byte; then \
		cp -f onscripter onscripter-1byte; \
	fi
	$(MAKE) -f Makefile.Linux clean
	$(MAKE) DEFS="$(CONFDEFS)" INCS="$(CONFINCS)" LIBS="$(CONFLIBS)" \
		TARGET="$(CONFTARGET)" EXT_OBJS="$(CONFEXT_OBJS)" \
		'CC=$(CXX)' 'LD=$(CXX) -o' \
		-f Makefile.Linux

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -f Makefile.Linux clean

override_dh_auto_install:
	dh_auto_install
	if test -d www; then \
		install -D www/* $(CURDIR)/debian/onscripter/usr/share/doc/onscripter/html; \
	fi
	if test -e simple_aviplay; then \
		dh_install simple_aviplay /usr/lib/games/onscripter; \
	fi

=== debian/tests/control ===
Tests: hello-onscripter-en
Depends: @, fonts-vlgothic
Restrictions: allow-stderr

Tests: hello-onscripter
Depends: @, fonts-vlgothic, python3
Restrictions: allow-stderr

Tests: hello-ponscripter
Depends: @, fonts-vlgothic, python3
Restrictions: allow-stderr

Tests: registry-onscripter
Depends: @, fonts-vlgothic
Restrictions: allow-stderr

Tests: dll-onscripter
Depends: @, fonts-vlgothic
Restrictions: allow-stderr

=== debian/watch ===
version=4
# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/ogapee/onscripter/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## onscripter android

=== jni/sdl/src/video/ps3/spulibs/Makefile ===
# This Makefile is for building the CELL BE SPU libs
# libfb_writer_spu.so, libyuv2rgb_spu.so, libbilin_scaler_spu.so

# Toolchain
PPU_LD=/usr/bin/ld
SPU_SRCDIR=$(srcdir)/src/video/ps3/spulibs
SPU_LIBDIR=$(srcdir)/src/video/ps3/spulibs/libs
SPU_CFLAGS=-g -W -Wall -Winline -Wno-main -I. -I /usr/spu/include -I /opt/cell/sdk/usr/spu/include -finline-limit=10000 -Winline -ftree-vectorize -funroll-loops -fmodulo-sched -ffast-math -fPIC -O2

DEPS = $(SPU_SRCDIR)/spu_common.h
LIBS= fb_writer yuv2rgb bilin_scaler

OBJLIBS = $(foreach lib,$(LIBS),lib$(lib)_spu.a)
SHALIBS = $(foreach lib,$(LIBS),lib$(lib)_spu.so)


ps3libs: $(foreach lib,$(OBJLIBS),$(SPU_LIBDIR)/$(lib)) $(foreach lib,$(SHALIBS),$(SPU_LIBDIR)/$(lib))


$(SPU_LIBDIR)/lib%_spu.a: $(SPU_LIBDIR)/%-embed.o
	$(AR) -qcs $@ $<

$(SPU_LIBDIR)/lib%_spu.so: $(SPU_LIBDIR)/%-embed.o
	$(PPU_LD) -o $@ -shared -soname=$(notdir $@) $<

$(SPU_LIBDIR)/%-embed.o: $(SPU_LIBDIR)/%.o
	$(EMBEDSPU) -m32 $(subst -embed.o,,$(notdir $@))_spu $< $@

$(SPU_LIBDIR)/%.o: $(SPU_SRCDIR)/%.c $(DEPS)
	$(SPU_GCC) $(SPU_CFLAGS) -o $@ $< -lm


ps3libs-install: $(foreach obj,$(OBJLIBS),$(SPU_LIBDIR)/$(obj)) $(foreach obj,$(SHALIBS),$(SPU_LIBDIR)/$(obj))
	for file in $(OBJLIBS); do \
		$(INSTALL) -c -m 0655 $(SPU_LIBDIR)/$$file $(DESTDIR)$(libdir)/$$file; \
	done
	for file in $(SHALIBS); do \
		$(INSTALL) -c -m 0755 $(SPU_LIBDIR)/$$file $(DESTDIR)$(libdir)/$$file; \
	done

ps3libs-uninstall:
	for file in $(OBJLIBS) $(SHALIBS); do \
		rm -f $(DESTDIR)$(libdir)/$$file; \
	done

ps3libs-clean:
	rm -f $(SPU_LIBDIR)/*

## onscripter ios

=== Makefile ===
all: \
	$(INSTALL_PATH)/lib/libfreetype.a \
	$(INSTALL_PATH)/lib/libmad.a \
	$(INSTALL_PATH)/lib/libogg.a \
	$(INSTALL_PATH)/lib/libvorbisidec.a

$(INSTALL_PATH)/lib/libfreetype.a:
	cd freetype-2.4.8; ./configure CC=$(SDK_CC) CFLAGS="$(SDK_CFLAGS) -isysroot $(SDK_PATH)" --host=$(HOST) --disable-shared --prefix=$(INSTALL_PATH)
	make -C freetype-2.4.8
	make -C freetype-2.4.8 install

$(INSTALL_PATH)/lib/libmad.a:
	cd libmad-0.15.1b; sh ./configure CC=$(SDK_CC) CFLAGS="$(SDK_CFLAGS) -isysroot $(SDK_PATH)" SDL_CFLAGS="$(SDK_CFLAGS) -isysroot $(SDK_PATH)" --host=$(HOST) --disable-shared --prefix=$(INSTALL_PATH) --disable-aso;
	make -C libmad-0.15.1b
	make -C libmad-0.15.1b install

$(INSTALL_PATH)/lib/libogg.a:
	cd libogg-1.3.1; ./configure CC=$(SDK_CC) CFLAGS="$(SDK_CFLAGS) -isysroot $(SDK_PATH)" SDL_CFLAGS="-isysroot $(SDK_PATH)" --host=$(HOST) --disable-shared --prefix=$(INSTALL_PATH)
	make -C libogg-1.3.1
	make -C libogg-1.3.1 install

$(INSTALL_PATH)/lib/libvorbisidec.a:
	cd libvorbisidec-1.0.2+svn18153; ./autogen.sh CC=$(SDK_CC) CFLAGS="$(SDK_CFLAGS) -isysroot $(SDK_PATH)" SDL_CFLAGS="-isysroot $(SDK_PATH)" OGG_CFLAGS="-I$(INSTALL_PATH)/include" OGG_LIBS="-L$(INSTALL_PATH)/lib" --host=$(HOST) --disable-shared --prefix=$(INSTALL_PATH)
	make -C libvorbisidec-1.0.2+svn18153
	make -C libvorbisidec-1.0.2+svn18153 install

clean:
	make -C freetype-2.4.8 clean
	make -C libmad-0.15.1b clean
	make -C libogg-1.3.1 clean
	make -C libvorbisidec-1.0.2+svn18153 clean
	-rm $(INSTALL_PATH)/lib/libfreetype.a
	-rm $(INSTALL_PATH)/lib/libmad.a
	-rm $(INSTALL_PATH)/lib/libogg.a
	-rm $(INSTALL_PATH)/lib/libvorbisidec.a

=== libmad-0.15.1b/debian/changelog ===
libmad (0.15.1b-8) unstable; urgency=low

  * Add multiarch support.  (Closes: #653676)
    Patch by Steve Langasek <steve.langasek@canonical.com>
  * Use dh-autoreconf to update libtool so that it works on x32
    (Closes: #700437)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 20 May 2013 18:02:18 +0200

libmad (0.15.1b-7) unstable; urgency=low

  * Fix arm's MAD_F_MLN thumb case causing problems on arhmf.  Patch
    by Dave Martin (Closes: #656814)
  * Add ${misc:Depends} to the Depends.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 22 Jan 2012 23:02:29 +0100

libmad (0.15.1b-6) unstable; urgency=low

  [ Konstantinos Margaritis ]
  * Add support for armhf (Closes: #596936)
    - libmad.thumb.diff: use "adr" instead of "add" to make code ready for
      thumb2
    - Provide-Thumb-2-alternative-code-for-MAD_F_MLN.diff: fix another
      ftbfs with thumb2 as "rsc" doesnt exist anymore - thanks to Dave
      Martin for this patch

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 29 Mar 2011 22:26:22 +0200

libmad (0.15.1b-5) unstable; urgency=low

  * gcc-4.4 removed an assembler constraint on mips/mipsel.  Use the new
    way of doing it.  (Closes: #568418)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 19 Feb 2010 20:51:00 +0100

libmad (0.15.1b-4) unstable; urgency=low

  * On an invalid mpeg file we can go past the end of the buffer.
    (Closes: #508133)

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 23 Dec 2008 21:38:34 +0100

libmad (0.15.1b-3) unstable; urgency=low

  * Acknowledge NMU
  * Use DEB_DH_MAKESHLIBS_ARGS_libmad0 instead to set shlibs.
  * Update Clément Stenac's email address to use zorglub@debian.org
  * Add build dependency on autotools-dev, quilt
  * Don't use -O plus some other -f options, just use -O2.  (Closes: #415279)
  * Use the 64bit fixed point math on amd64 to have a higher quality
    output than the default.  (Closes: #465438)
  * Bump shlibs since it changes the size of mad_build on amd64.
  * Add compat file, level 5.  Change build dependency of debhelper to 5.
  * Don't set -lm in the mad.pc file.  libmad doesn't use any math function.
  * Remove libmad0 Depends on pkg-config.
  * Change to Standards-Version 3.7.3:
    - Change ${Source-Version} into ${binary:Version}

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 15 Mar 2008 13:51:31 +0000

libmad (0.15.1b-2.1) unstable; urgency=high

  * Non-maintainer upload, not targetted for Sarge.
  * Urgency high because this is generating uploads with broken depends
    that may be propagating to testing (see #311488).
  * debian/rules: set DEB_DH_MAKESHLIBS_ARGS_ALL = -V 'libmad0 (>= 0.15.1b)'
    to restore the updated shlibs lost in the switch to CDBS
    (closes: #310311).

 -- Jordi Mallach <jordi@debian.org>  Wed,  1 Jun 2005 17:12:24 +0200

libmad (0.15.1b-2) unstable; urgency=low

  * Sam Clegg :
    * debian/control: update Maintainer: and Uploaders: (closes: #300097)
    * debian/rules: convert to CDBS
    * debian/control: build-depend on debhelper >= 4.1.0
    * debian/libmad0.postinst: removed since debhelper runs ldconfig for us.
    * debian/libmad0*.files: removed; use dh_install instead.
  * Clément Stenac :
    * Better copyright file
  * Kurt Roeckx
    * Add watch file.

 -- Sam Clegg <samo@debian.org>  Sun,  8 May 2005 18:59:49 +0100

libmad (0.15.1b-1.1) unstable; urgency=low

  * Orphaning this package, setting maintainer to QA.

 -- Kyle McMartin <kyle@debian.org>  Thu, 17 Mar 2005 10:59:11 -0500

libmad (0.15.1b-1) unstable; urgency=low

  * New upstream version. (closes: #252902)
  * Removed TODO from installed documentation.
  * Added minimad.c to the libmad0-dev documentation. Thanks to
    Mario Lang for the patch. (closes: #249067)

 -- Kyle McMartin <kyle@debian.org>  Sat, 5 Jun 2004 18:52:00 -0400

libmad (0.15.0b-3) unstable; urgency=low

  * Updated section from devel to libdevel as per mail.

 -- Kyle McMartin <kyle@debian.org>  Tue, 21 Oct 2003 22:40:08 -0400

libmad (0.15.0b-2) unstable; urgency=low

  * Updated pkgconfig Version entry for mad (closes: #203656)

 -- Kyle McMartin <kyle@debian.org>  Tue, 21 Oct 2003 22:09:04 -0400

libmad (0.15.0b-1) unstable; urgency=low

  * New upstream version(s).
  * Split package into each library, as upstream has done.

 -- Kyle McMartin <kyle@debian.org>  Sat, 21 Jun 2003 14:21:42 -0400

mad (0.14.2b-7) unstable; urgency=low

  * Clean up some lintian warnings.
  * Fixed id3tag.pc, accidently had -L instead of -I.

 -- Kyle McMartin <kyle@debian.org>  Tue, 28 Jan 2003 09:45:02 -0500

mad (0.14.2b-6) unstable; urgency=medium

  * Updated config.* (closes: #168663)

 -- Kyle McMartin <kyle@debian.org>  Thu, 14 Nov 2002 18:41:29 -0500

mad (0.14.2b-5) unstable; urgency=medium

  * Added build-dep on libesd0-dev, this should fix some
    problems people have been having when using esd as the
    output device... (closes: #150823)

 -- Kyle McMartin <kyle@debian.org>  Wed, 06 Nov 2002 18:20:18 -0500

mad (0.14.2b-4) unstable; urgency=low

  * added pkgconfig entry, and dependancy on pkg-config. (closes: #144481)

 -- Kyle McMartin <kyle@debian.org>  Mon, 05 Aug 2002 14:37:00 -0400

mad (0.14.2b-3) unstable; urgency=high

  * updated libid3tag0-dev depends to account for zlib1g-dev (closes: #142611)

 -- Kyle McMartin <kyle@debian.org>  Thu, 18 Apr 2002 19:37:00 -0500

mad (0.14.2b-2) unstable; urgency=high

  * fix for the shlibs rc bug (closes: #136196)

 -- Kyle McMartin <kyle@debian.org>  Thu, 28 Feb 2002 18:21:40 -0500

mad (0.14.2b-1) unstable; urgency=low

  * new upstream version
  * new maintainer
  * new version fixes enum (closes: #129178)
  * closing old fixed bug [missing symlink to libmad.so.0] (closes: #119350)

 -- Kyle McMartin <kyle@debian.org>  Wed, 16 Jan 2002 22:09:58 -0500

mad (0.14.1b-4) unstable; urgency=low

  * yet another stupid maintainer mistakes release
  * fix the call to dh_makeshlibs, I neglected to add proper
    arguments for the new libid3tag0 library (closes: #119146)
  * now that the shlibs are sorted out, madplay will have the correct depends
